Bug 615175 - warning: Puppet::Type.create is deprecated; use Puppet::Type.new
warning: Puppet::Type.create is deprecated; use Puppet::Type.new
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: puppet (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Todd Zullinger
Fedora Extras Quality Assurance
http://projects.puppetlabs.com/issues...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-16 00:30 EDT by d. johnson
Modified: 2011-09-27 19:01 EDT (History)
3 users (show)

See Also:
Fixed In Version: puppet-2.6.6-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:26:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d. johnson 2010-07-16 00:30:31 EDT
Description of problem:

running "ralsh yumrepo ..." results is a giant pile of obsolete calls.

Version-Release number of selected component (if applicable):

puppet-0.25.5-1.fc13.noarch

How reproducible:

100%

Steps to Reproduce:
1. ralsh yumrepo <insertreponamehere>
2.
3.
  
Actual results:

This message is repeated 46 times:
warning: Puppet::Type.create is deprecated; use Puppet::Type.new

Expected results:

No warning.

Additional info:
Comment 1 Todd Zullinger 2010-07-16 00:54:07 EDT
This is fixed upstream (once James pushes out his git tree anyway).  We can cherrypick the one-liner if we don't update to 2.6.0 at some point.

I think it's worth holding off a little to see whether we update to 2.6.0 or whether we want to cherrypick any other fixes for a 0.25.5 update.  I just pushed some initscript updates upstream the other day, which fixes #531116.
Comment 2 Todd Zullinger 2010-07-16 00:56:45 EDT
Upstream ticket: http://projects.puppetlabs.com/issues/show/4252
Comment 3 Fedora Update System 2011-03-18 16:01:20 EDT
puppet-2.6.6-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/puppet-2.6.6-1.fc14
Comment 4 Fedora Update System 2011-03-18 16:01:49 EDT
puppet-2.6.6-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/puppet-2.6.6-1.el5
Comment 5 Fedora Update System 2011-03-18 16:02:16 EDT
puppet-2.6.6-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/puppet-2.6.6-1.fc15
Comment 6 Fedora Update System 2011-03-18 16:02:42 EDT
puppet-2.6.6-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/puppet-2.6.6-1.fc13
Comment 7 Fedora Update System 2011-03-18 16:03:10 EDT
puppet-2.6.6-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/puppet-2.6.6-1.el6
Comment 8 Bug Zapper 2011-06-01 09:45:40 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2011-06-29 09:26:57 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Fedora Update System 2011-09-26 13:55:36 EDT
puppet-2.6.6-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2011-09-27 14:32:51 EDT
puppet-2.6.6-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2011-09-27 18:59:45 EDT
puppet-2.6.6-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2011-09-27 19:01:15 EDT
puppet-2.6.6-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.